IATI Consultations Archive

Live discussions and consultations can be found at discuss.iatistandard.org.

Add @vocabulary-version to location-id and administrative elements

Raised from this Github Issue https://github.com/IATI/IATI-Schemas/issues/65

Have more questions? Submit a request

5 Comments

  • 0
    Avatar
    David Carpenter

    In the issue you link to it states that this should be pushed to 1.05, but as it is not a codelist only change it cannot be accommodated in that upgrade. Leaving here for further consideration.

  • 0
    Avatar
    IATI Tech Team

    This item has been moved to the '2.02 Decimal Upgrade Proposals' forum for inclusion the upcoming decimal upgrade.

  • 0
    Avatar
    Bill Anderson

    Both the Organisation and Activity Standards utilise numerous third party standards or codelists. Versioning is relevant to all of them. 

    To add versioning to all third party entities, while logically correct, would add a substantial  level of complexity to the standards. I am not in favour of this.

    Third party, non-embedded code lists are provided as a service on iatistandard.org. These should be current versions with deleted or deprecated items flagged but included.

  • 0
    Avatar
    IATI Tech Team

    This proposal has been discussed amongst the IATI Technical Team following the end of the initial suggestion phase of the v2.02 upgrade.

    The IATI Technical Team do not plan to include this in the upgrade at this time due to the complexity that would be needed to adapt the standard.  However, we invite further discussion around technical approaches to this issue.

    The policy on updates to non-embedded codelists is also being evaluated within the Technical Team.

  • 0
    Avatar
    IATI Tech Team

    This proposal has been archived as it is not being taken forward in the version 2.02 upgrade of the IATI Standard.

Please sign in to leave a comment.